/*
 * Class LINKABLE [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2124 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2124 [] = {0xFF01,1551,2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2124 [] = {0xFF01,2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2124 [] = {0xFF01,2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2124 [] = {0xFF01,2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2124 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2124 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2124 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2124 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2124 [] = {2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2124 [] = {0xFF01,2123,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2124 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2124 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2124 [] = {2123,866,0xFFFF};


static const struct desc_info desc_2124[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2124), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2124), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2124), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2124), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2124), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2124), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2124), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2124), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2124), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2124), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2124), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2124), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2124), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2124), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2124), 9512, 4},
	{EIF_GENERIC(NULL), 9513, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9514, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2124), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2124), 9600, 0},
	{EIF_GENERIC(NULL), 9601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9602, 0xFFFFFFFF},
};
void Init2124(void)
{
	IDSC(desc_2124, 0, 2123);
	IDSC(desc_2124 + 1, 1, 2123);
	IDSC(desc_2124 + 32, 975, 2123);
	IDSC(desc_2124 + 36, 345, 2123);
}


#ifdef __cplusplus
}
#endif
